                          Vortex v1.5
                          ~~~~~~~~~~~
	         Convertisseur universel de caractres accentus

    Contrairement  Am-Pc ou AmiMac qui ne convertissent que les caractres
franais, Vortex convertit tous les caractres accentus communs  deux
ordinateurs (Amiga <-> IBM-PC, Amiga <-> MacIntosh ou IBM-PC <-> Mac).
Malheureusement, les caractres accentus ne sont pas tous convertibles
parce que certains micros ont un jeu incomplet de majuscules accentues.
Saviez-vous que seul l'Amiga offre un jeu complet de 13 minuscules et
majuscules accentues franaises?*. Comme on peut s'en douter, seuls les
caractres communs peuvent tre convertis d'un micro  l'autre. Pour les
conversions entre l'IBM-PC et un autre micro, Vortex suppose que le jeu de
caractres tendu est utilis ct IBM. Toutefois, les vieux PC utilisent
souvent le jeu standard, trs pauvre en majuscules accentues (5). Dans ce
cas, l'utilisateur peut voir des caractres graphiques et des symboles
mathmatiques  l'cran.
. 

    Le jeu de caractres ASCII standard (0-127), en bon Amricain moyen,
ignore les accents. C'est une grave lacune, car seulement deux langues 
alphabet latin s'crivent sans accents: l'anglais et le nerlandais. On lui
a donc rabout le jeu de caractres "ASCII tendu" (128-255), mais chaque
ordi a sa propre norme! L'Amiga est le plus international (Only Amiga makes
it possible, c'est pas une joke.) Vortex fonctionne donc avec toutes les
langues qui ont une keymap, soit l'allemand, le danois, l'espagnol, le
finnois, le franais, l'islandais, l'italien, le norvgien, le sudois,
ainsi qu'avec toutes les autres langues qui n'utilisent que les accents
"standard" (accents aigu, grave et circomflexe, le tilde et les trmas).

     REMARQUE: Vortex convertit les fichiers, mais non le format d'une
disquette. Il ne lit pas les disquettes IBM, Mac ou C-64. Il faut d'abord
faire passer le fichier sur un disque Amiga  l'aide d'un utilitaire comme
DOS2DOS, CrossDOS ou MessyDOS (pour Amiga <-> IBM), Mac2DOS ou File Transfer
(pour Amiga <-> Mac, voir ci-dessous) ou Transfer (pour C64 <-> Amiga). On
peut aussi faire ce transfert par modem. Vortex est donc un programme
complmentaire qui ne remplace aucun de ces utilitaires.

USAGE ( partir du CLI): 
~~~~~~~~~~~~~~~~~~~~~~~
   vortex  fich_source  [fich_destination]  -direction  [-options...]

o: DIRECTION:      -ai/-ia:  Amiga  -> IBM-PC /ou l'inverse
    choisir parmi:  -am/-ma:  Amiga  -> Mac /ou l'inverse
                    -im/-mi:  IBM-PC -> Mac /ou l'inverse
                    -ca:      C64(Traitex) -> Amiga

    OPTIONS:        -wp:      Fichier source Word Perfect
    [facultatif]    -aw:      Conversion ASCII -> Word Perfect
                    -sl/-sl0: Convertir sauts de ligne/ ou les garder
                    -nc:      Accents non convertis
                    -tx:      Remplace les tabs par x espaces

Fichiers source et destination:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
             Les paramtres entre crochets sont facultatifs; si le fichier
destination n'est pas prcis, Vortex cre un fichier destination en
rajoutant le suffixe ".vx" au nom du fichier source (p. ex. "montruc"  donne
"montruc.vx"). De plus, chacun des trois premiers paramtres (qui ne doivent
pas tre prcdes du tiret) peut comporter un "chemin" AmigaDOS: par
exemple,

    1> vortex  df1:textes/toto.doc  ram:totoche -ai

va chercher le fichier ASCII Amiga "toto.doc" dans le tiroir "textes" sur
df1: et place la conversion dans "totoche"(fichier ASCII IBM).
, en ram:. Pour les fichiers ASCII, l'option -sl est choisie par dfaut
(-sl0 l'annule). Autre exemple:
 
    1> df1:c/vortex toto -ia -wp -t4

lance vortex plac dans df1:c et lit le fichier Word Perfect IBM toto dans
le rpertoire actif; la conversion (fichier WP Amiga) est place dans ce
mme rpertoire et s'applera, vous l'avez devin, "toto.vx". L'option
"-sl0" est choisie par dfaut avec l'option "-wp". De plus, dans l'exemple
ci-dessus, l'option -t4 convertit les tabs en 4 espaces.

REMARQUE: Pour une conversion plus rapide, travailler en ram:. Vortex, crit
en C, est trs rapide: il convertit un fichier de 40K en 10 secondes ou
moins.

Direction et options: 
~~~~~~~~~~~~~~~~~~~~ 
Les paramtres qui suivent (direction et options) doivent tre prcds d'un
tiret et, contrairement aux premiers, ils peuvent tre dans n'importe quel
ordre ou nombre. Il peut y avoir plusieurs options, ou aucune, mais il doit
toujours y avoir une et une seule direction. Le paramtre "direction" est
obligatoire et les "options", facultatives. Si deux paramtres donnent des
rsultats opposs (ex. -sl et -sl0), le dernier l'emporte. 

Directions -ai -am -ia -im -ma et -mi:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
La premire lettre est l'ordi source et la deuxime, l'ordi destination.
Ainsi, -ai convertit un fichier Amiga en fichier IBM.

Direction -ca: 
~~~~~~~~~~~~~ 
Vortex convertit galement des fichiers Traitex (Commodore 64/128) en
fichiers Amiga. Il s'agit d'un cas particulier parce que chacun des
traitements de texte du C-64 a ses propres codes pour les accents...
L'option -ca peut convertir plus ou moins bien d'autres fichiers utilisant
des codes d'cran (screen codes), p. ex. PaperClip ou Scripsit, mais non des
fichiers PETSCII...Si vous ne comprenez rien, c'pas grave...A noter que la
direction -ca est incompatible avec toutes les options ci-dessous, sauf avec
-aw.

Option -wp: 
~~~~~~~~~~ 
L'option -wp convertit les fichiers Word Perfect d'un ordinateur en fichiers
WP d'un autre micro. Pourquoi Word Perfect et non un autre traitement de
texte? D'abord parce que c'est le seul traitement de texte qui fonctionne
sur 4 ordinateurs diffrents (d'o le besoin de conversion), et enfin, parce
que WP est mon traitement de texte prfr, tout btement...Ceux qui
utilisent Prowrite, Excellence ou un autre traitement de textes doivent donc
sauver leurs fichiers en format ASCII (ou texte) avant la conversion. Par
ailleurs, Vortex convertit les fichiers ASCII en fichiers WP 4.2  (option 
-aw), mais non l'inverse, parce que l'option "Save Text File" de Word Perfect
le fait dj. De mme, Vortex ne convertit pas en fichiers WP 5.x parce que
Word Perfect 5.x accepte et convertit lui-mme les fichiers 4.2. Vortex se
mle de ses affaires: son travail commence l o finit celui de WP.

Option -aw: 
~~~~~~~~~~ 
Pour convertir un fichier ASCII en fichier WP, utiliser l'option -aw. Cette
option existe parce que charger un fichier ASCII accentu dans WP, a donne
de bien curieux rsultats (essayez-le, vous verrez). L'option -aw choisit
-sl0 par dfaut. Il se peut que le formatage du fichier ASCII soit quelque
peu dcocriss une fois dans Word Perfect, mais au moins tous les mots y
sont. 

Options -sl et -sl0: 
~~~~~~~~~~~~~~~~~~~ 
Vortex peut aussi convertir le saut de ligne, qui est diffrent pour chacun
des trois ordi ( soit saut de ligne simple (LF) pour Amiga, retour de
chariot + saut de ligne (CR + LF) pour le PC et retour de chariot simple
(CR) pour le Mac). L'option -sl est choisie par dfaut pour les conversions
de fichiers ASCII (-sl0 l'annule), alors que l'option -sl0 est choisie par
dfaut avec les options -wp et -nc.

Option -nc:
~~~~~~~~~~
Avec l'option -nc, les caractres accentus du micro source ne sont pas
convertis. Ceci permet d'utiliser les options -aw, -sl et -tx (ci-dessous)
pour ne changer que le format, les sauts de ligne ou les caractres de
tabulation, sans modifier le reste du fichier.

    Par exemple:    1> vortex  montruc  -ai  -nc  -aw 

convertit le fichier ASCII Amiga montruc en fichier WP Amiga. A noter que la
direction -ai, annule par -nc, est une valeur bidon, mais ncessaire pour
que la conversion ASCII -> WP ait lieu. 
    Autre exemple: 1> vortex  ram:mondoc  df0:mondoc -ai  -nc
Cette ligne copie btement mondoc dans df0:, sans rien changer.
    Autre exemple: 1> vortex  mondoc  -ai  -nc  -sl
Cette ligne ne change que les LF en CR+LF dans mondoc.vx.
    Autre exemple: 1> vortex  mondoc doc.txt  -am  -t4 -nc
Cette ligne ne fait que remplacer les tabs par 4 espaces dans doc.txt

Option -txx 
~~~~~~~~~~~ 
Vortex peut aussi convertir les caractres de tabulation en espaces (1-20),
ce qui est utile pour les textes formats avec des valeurs de tabulation non
standard (signe infaillible: le texte apparat tout croche  l'cran).
Notons que normalement, un tab vaut 8 espaces, ou 5 espaces dans Word
Perfect. Aprs quelques essais, vous deviendrez un champion redresseur de
textes croches.

Utilisation avec la souris: 
~~~~~~~~~~~~~~~~~~~~~~~~~~ 
Vortex, qui ne fonctionne qu' partir du CLI, est pourvu d'une icne
appele "XVortex" sur ce disque. Si on la double-clique, un CLI est ouvert
(endcli pour le fermer) et un tableau d'aide est affich. Si l'on copie
XVortex sur un autre disque, il faut aussi copier Vortex et placer Xicon
dans le rpertoire c: de ce disque, car XVortex n'est qu'un script.

On peut automatiser compltement Vortex en l'incorporant dans un script, une
macro WP ou un gestionnaire de fichiers (p. ex. Disk Master ou SID). Dans
DM, la ligne: c:Vortex %s -ai -wp convertit un fichier WP de Amiga  IBM.
Deux clics de souris et bingo! Le fichier .vx converti apparat sur la
liste.

*Il y a treize caractres accentus en franais (26 avec les maj- uscules).
Certains sont plutt exotiques. Quel est le seul mot franais qui prend un
"" ? Et les deux qui prennent le "" ? Rponses: o, Sal, Capharnam.
Fermez votre Amiga et apprenez  consulter votre dictionnaire!


     Vos commentaires sont les bienvenus. 
                                                      
                                           Michel Lalibert
                                           Montral, fvrier 1991 


Attention! MacWrite utilise un format spcial autre que ASCII et ne
reconnat pas les fichiers Amiga convertis; il faut donc utiliser un autre
traitement de texte du ct Mac. Des fichiers ASCII AmiMac ont te exports
dans MS Word 3.01 sans problmes. Ils devraient tre lus par tout diteur ou
traitement de texte qui utilise des codes ASCII.
